<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script lang="ts" setup>
import { storeToRefs } from 'pinia';
import { useI18n } from 'vue-i18n';
import { useCreateStore } from '@/stores/create';
import Checkbox from '@/components/general/form/Checkbox.vue';
import { inject } from 'vue';
import Button from '@/components/general/Button.vue';

const { t } = useI18n();
const $t = t;

const createStore = useCreateStore();
const { allowComments, allowEmbeddeds, lineText, activePage, type, font } = storeToRefs(createStore);

const setActivePage = (value: string) => {
    activePage.value = value;
}

const configuration = inject<any>('configuration');
const contentLengths = configuration.style.contentLengths;

</script>
<template>
    <div class="flex flex-col justify-between h-full">
        <div class="flex flex-row">
            <div class="sm:w-3/5">
                <div class="p-4 flex flex-col gap-2">
                    <span class="text-orange-400">{{ $t('create.configNoChange') }}</span>
                    <Checkbox v-model="allowComments" :label="$t('adjustPanel.general.true')"
                        :header="$t('create.commentsAllowed')" />
                    <Checkbox v-model="lineText" :label="$t('adjustPanel.general.true')"
                        :header="$t('create.line.textAllowed')" v-if="type === 'Freeform'" />
                    <Checkbox v-model="allowEmbeddeds" :label="$t('adjustPanel.general.true')"
                        :header="$t('create.embeddedsAllowed')" :warning="$t('create.privacyHint')" />
                </div>
            </div>
            <div class="sm:w-2/5 p-4 pt-0 h-[330px]">
                <h5 class="text-center mb-4 text-xl">{{ $t('create.preview') }}</h5>
                <div :class="['relative box-border transition duration-100 ease-in-out rounded-lg bg-white text-gray-500 shadow-md px-2 max-w-72 min-h-24 w-11/12 flex flex-col pt-4', font]">
                    <p v-if="!allowEmbeddeds" v-html="$t('create.embeddedPreview.link')"></p>
                    <div v-else v-html="$t('create.embeddedPreview.html')"></div>
                    <div class="text-[24px] flex flex-row justify-between pb-1">
                        <div class=""><i class="ri-discuss-line ri-1x" v-if="type === 'Freeform' && allowComments"></i></div>
                        <div class=""><i class="ri-discuss-line ri-1x" v-if="type !== 'Freeform' && allowComments"></i></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="flex flex-row w-full justify-between">
            <div>
                <Button variant="cancel" @click="setActivePage('account')">
                    <i class="ri-arrow-left-s-line"></i>
                    <span class="uppercase">{{ $t('general.buttons.back') }}</span>
                </Button>
            </div>
            <div>
                <Button variant="confirm" @click="setActivePage('style')">
                    <span class="uppercase">{{ $t('general.buttons.next') }}</span>
                    <i class="ri-arrow-right-s-line"></i>
                </Button>
            </div>
        </div>
    </div>
</template>

